Index: src/properties.cpp
===================================================================
--- src/properties.cpp	(revision 3209)
+++ src/properties.cpp	(working copy)
@@ -98,7 +98,188 @@
     extern const XmpPropertyInfo xmpMWGRegionsInfo[];
     extern const XmpPropertyInfo xmpVideoInfo[];
     extern const XmpPropertyInfo xmpAudioInfo[];
+    extern const XmpPropertyInfo xmpDwCInfo[];
 
+   extern const XmpPropertyInfo xmpDwCInfo[] = {
+	{ "acceptedNameUsage",	"acceptedNameUsage",	"Text",	xmpText,	xmpExternal,	"The full name, with authorship and date information if known, of the currently valid (zoological) or accepted (botanical) taxon." },
+	{ "acceptedNameUsageID",	"acceptedNameUsageID",	"Text",	xmpText,	xmpExternal,	"An identifier for the name usage (documented meaning of the name according to a source) of the currently valid (zoological) or accepted (botanical) taxon ." },
+	{ "accessRights",		"accessRights",	"Text",	xmpText,	xmpExternal,	"Information about who can access the resource or an indication of its security status. Access Rights may include information regarding access or restrictions based on privacy, security, or other policies ." },
+	{ "associatedMedia",		"associatedMedia",	"Text",	xmpText,	xmpExternal,	"A list (concatenated and separated) of identifiers (publication, global unique identifier, URI) of media associated with the Occurrence ." },
+	{ "associatedOccurrences",	"associatedOccurrences",	"Text",	xmpText,	xmpExternal,	"A list (concatenated and separated) of identifiers of other Occurrence records and their associations to this Occurrence ." },
+	{ "associatedReferences",	"associatedReferences",	"Text",	xmpText,	xmpExternal,	"A list (concatenated and separated) of identifiers (publication, bibliographic reference, global unique identifier, URI) of literature associated with the Occurrence ." },
+	{ "associatedSequences",	"associatedSequences",	"Text",	xmpText,	xmpExternal,	"A list (concatenated and separated) of identifiers (publication, global unique identifier, URI) of genetic sequence information associated with the Occurrence ." },
+	{ "associatedTaxa",		"associatedTaxa",	"Text",	xmpText,	xmpExternal,	"A list (concatenated and separated) of identifiers or names of taxa and their associations with the Occurrence ." },
+	{ "basisOfRecord",		"basisOfRecord",	"Text",	xmpText,	xmpExternal,	"The specific nature of the data record - a subtype of the type. Recommended best practice is to use a controlled vocabulary such as the Darwin Core Type Vocabulary (http://rs.tdwg.org/dwc/terms/type-vocabulary/index.htm) ." },
+	{ "bed",				"bed",	"Text",	xmpText,	xmpExternal,	"The full name of the lithostratigraphic bed from which the cataloged item was collected ." },
+	{ "behavior",			"behavior",	"Text",	xmpText,	xmpExternal,	"A description of the behavior shown by the subject at the time the Occurrence was recorded. Recommended best practice is to use a controlled vocabulary ." },
+	{ "bibliographicCitation",	"bibliographicCitation",	"Text",	xmpText,	xmpExternal,	"A bibliographic reference for the resource as a statement indicating how this record should be cited (attributed) when used. Recommended practice is to include sufficient bibliographic detail to identify the resource as unambiguously as possible ." },
+	{ "catalogNumber",		"catalogNumber",	"Text",	xmpText,	xmpExternal,	"An identifier (preferably unique) for the record within the data set or collection ." },
+	{ "class",			"class",	"Text",	xmpText,	xmpExternal,	"The full scientific name of the class in which the taxon is classified ." },
+	{ "collectionCode",		"collectionCode",	"Text",	xmpText,	xmpExternal,	"The name, acronym, coden, or initialism identifying the collection or data set from which the record was derived ." },
+	{ "collectionID",		"collectionID",	"Text",	xmpText,	xmpExternal,	"An identifier for the collection or dataset from which the record was derived. For physical specimens, the recommended best practice is to use the identifier in a collections registry such as the Biodiversity Collections Index (http://www.biodiversitycollectionsindex.org/) ." },
+	{ "continent",			"continent",	"Text",	xmpText,	xmpExternal,	"The name of the continent in which the Location occurs. Recommended best practice is to use a controlled vocabulary such as the Getty Thesaurus of Geographic Names or the ISO 3166 Continent code ." },
+	{ "coordinatePrecision",	"coordinatePrecision",	"Text",	xmpText,	xmpExternal,	"A decimal representation of the precision of the coordinates given in the decimalLatitude and decimalLongitude ." },
+	{ "coordinateUncertaintyInMeters",	"coordinateUncertaintyInMeters",	"Text",	xmpText,	xmpExternal,	"The horizontal distance (in meters) from the given decimalLatitude and decimalLongitude describing the smallest circle containing the whole of the Location. Leave the value empty if the uncertainty is unknown, cannot be estimated, or is not applicable (because there are no coordinates). Zero is not a valid value for this term ." },
+	{ "country",			"country",	"Text",	xmpText,	xmpExternal,	"The name of the country or major administrative unit in which the Location occurs. Recommended best practice is to use a controlled vocabulary such as the Getty Thesaurus of Geographic Names ." },
+	{ "countryCode",		"countryCode",	"Text",	xmpText,	xmpExternal,	"The standard code for the country in which the Location occurs. Recommended best practice is to use ISO 3166-1-alpha-2 country codes ." },
+	{ "county",			"county",	"Text",	xmpText,	xmpExternal,	"The full, unabbreviated name of the next smaller administrative region than stateProvince (county, shire, department, etc.) in which the Location occurs ." },
+	{ "dataGeneralizations",	"dataGeneralizations",	"Text",	xmpText,	xmpExternal,	"Actions taken to make the shared data less specific or complete than in its original form. Suggests that alternative data of higher quality may be available on request ." },
+	{ "datasetID",			"datasetID",	"Text",	xmpText,	xmpExternal,	"An identifier for the set of data. May be a global unique identifier or an identifier specific to a collection or institution ." },
+	{ "datasetName",		"datasetName",	"Text",	xmpText,	xmpExternal,	"The name identifying the data set from which the record was derived ." },
+	{ "dateIdentified",		"dateIdentified",	"Date",	xmpText,	xmpInternal,	"The date on which the subject was identified as representing the Taxon. Recommended best practice is to use an encoding scheme, such as ISO 8601:2004(E) ." },
+	{ "day",				"day",		"Integer",	unsignedLong,	xmpInternal,	"The integer day of the month on which the Event occurred ." },
+	{ "decimalLatitude",		"decimalLatitude",	"Text",	xmpText,	xmpExternal,	"The geographic latitude (in decimal degrees, using the spatial reference system given in geodeticDatum) of the geographic center of a Location. Positive values are north of the Equator, negative values are south of it. Legal values lie between -90 and 90, inclusive ." },
+	{ "decimalLongitude",	"decimalLongitude",	"Text",	xmpText,	xmpExternal,	"The geographic longitude (in decimal degrees, using the spatial reference system given in geodeticDatum) of the geographic center of a Location. Positive values are east of the Greenwich Meridian, negative values are west of it. Legal values lie between -180 and 180, inclusive ." },
+	{ "disposition",		"disposition",	"Text",	xmpText,	xmpExternal,	"The current state of a specimen with respect to the collection identified in collectionCode or collectionID. Recommended best practice is to use a controlled vocabulary ." },
+	{ "dynamicProperties",	"dynamicProperties",	"Text",	xmpText,	xmpExternal,	"A list (concatenated and separated) of additional measurements, facts, characteristics, or assertions about the record. Meant to provide a mechanism for structured content such as key-value pairs ." },
+	{ "earliestAgeOrLowestStage",	"earliestAgeOrLowestStage",	"Text",	xmpText,	xmpExternal,	"The full name of the earliest possible geochronologic age or lowest chronostratigraphic stage attributable to the stratigraphic horizon from which the cataloged item was collected ." },
+	{ "earliestEonOrLowestEonothem",	"earliestEonOrLowestEonothem",	"Text",	xmpText,	xmpExternal,	"The full name of the earliest possible geochronologic eon or lowest chrono-stratigraphic eonothem or the informal name (\"Precambrian\") attributable to the stratigraphic horizon from which the cataloged item was collected ." },
+	{ "earliestEpochOrLowestSeries",	"earliestEpochOrLowestSeries",	"Text",	xmpText,	xmpExternal,	"The full name of the earliest possible geochronologic epoch or lowest chronostratigraphic series attributable to the stratigraphic horizon from which the cataloged item was collected ." },
+	{ "earliestEraOrLowestErathem",	"earliestEraOrLowestErathem",	"Text",	xmpText,	xmpExternal,	"The full name of the earliest possible geochronologic era or lowest chronostratigraphic erathem attributable to the stratigraphic horizon from which the cataloged item was collected ." },
+	{ "earliestPeriodOrLowestSystem",	"earliestPeriodOrLowestSystem",	"Text",	xmpText,	xmpExternal,	"The full name of the earliest possible geochronologic period or lowest chronostratigraphic system attributable to the stratigraphic horizon from which the cataloged item was collected ." },
+	{ "endDayOfYear",		"endDayOfYear",	"Text",	xmpText,	xmpExternal,	"The latest ordinal day of the year on which the Event occurred (1 for January 1, 365 for December 31, except in a leap year, in which case it is 366) ." },
+	{ "establishmentMeans",	"establishmentMeans",	"Text",	xmpText,	xmpExternal,	"The process by which the biological individual(s) represented in the Occurrence became established at the location. Recommended best practice is to use a controlled vocabulary ." },
+	{ "eventDate",			"eventDate",	"Date",	xmpText,	xmpInternal,	"The date-time or interval during which an Event occurred. For occurrences, this is the date-time when the event was recorded. Not suitable for a time in a geological context. Recommended best practice is to use an encoding scheme, such as ISO 8601:2004(E) ." },
+	{ "eventID",			"eventID",	"Text",	xmpText,	xmpExternal,	"An identifier for the set of information associated with an Event (something that occurs at a place and time). May be a global unique identifier or an identifier specific to the data set ." },
+	{ "eventRemarks",		"eventRemarks",	"Text",	xmpText,	xmpExternal,	"Comments or notes about the Event ." },
+	{ "eventTime",			"eventTime",	"Date",	xmpText,	xmpInternal,	"The time or interval during which an Event occurred. Recommended best practice is to use an encoding scheme, such as ISO 8601:2004(E) ." },
+	{ "family",			"family",	"Text",	xmpText,	xmpExternal,	"The full scientific name of the family in which the taxon is classified ." },
+	{ "fieldNotes",		"fieldNotes",	"Text",	xmpText,	xmpExternal,	"One of a) an indicator of the existence of, b) a reference to (publication, URI), or c) the text of notes taken in the field about the Event ." },
+	{ "fieldNumber",		"fieldNumber",	"Text",	xmpText,	xmpExternal,	"An identifier given to the event in the field. Often serves as a link between field notes and the Event ." },
+	{ "footprintSpatialFit",	"footprintSpatialFit",	"Text",	xmpText,	xmpExternal,	"The ratio of the area of the footprint (footprintWKT) to the area of the true (original, or most specific) spatial representation of the Location. Legal values are 0, greater than or equal to 1, or undefined. A value of 1 is an exact match or 100% overlap. A value of 0 should be used if the given footprint does not completely contain the original representation. The footprintSpatialFit is undefined (and should be left blank) if the original representation is a point and the given georeference is not that same point. If both the original and the given georeference are the same point, the footprintSpatialFit is 1 ." },
+	{ "footprintSRS",		"footprintSRS",	"Text",	xmpText,	xmpExternal,	"A Well-Known Text (WKT) representation of the Spatial Reference System (SRS) for the footprintWKT of the Location. Do not use this term to describe the SRS of the decimalLatitude and decimalLongitude, even if it is the same as for the footprintWKT - use the geodeticDatum instead ." },
+	{ "footprintWKT",		"footprintWKT",	"Text",	xmpText,	xmpExternal,	"A Well-Known Text (WKT) representation of the shape (footprint, geometry) that defines the Location. A Location may have both a point-radius representation (see decimalLatitude) and a footprint representation, and they may differ from each other ." },
+	{ "formation",			"formation",	"Text",	xmpText,	xmpExternal,	"The full name of the lithostratigraphic formation from which the cataloged item was collected ." },
+	{ "genus",			"genus",	"Text",	xmpText,	xmpExternal,	"The full scientific name of the genus in which the taxon is classified ." },
+	{ "geodeticDatum",		"geodeticDatum",	"Text",	xmpText,	xmpExternal,	"The ellipsoid, geodetic datum, or spatial reference system (SRS) upon which the geographic coordinates given in decimalLatitude and decimalLongitude as based. Recommended best practice is use the EPSG code as a controlled vocabulary to provide an SRS, if known. Otherwise use a controlled vocabulary for the name or code of the geodetic datum, if known. Otherwise use a controlled vocabulary for the name or code of the ellipsoid, if known. If none of these is known, use the value \"unknown\" ." },
+	{ "geologicalContextID",	"geologicalContextID",	"Text",	xmpText,	xmpExternal,	"An identifier for the set of information associated with a GeologicalContext (the location within a geological context, such as stratigraphy). May be a global unique identifier or an identifier specific to the data set ." },
+	{ "georeferencedBy",		"georeferencedBy",	"Text",	xmpText,	xmpExternal,	"A list (concatenated and separated) of names of people, groups, or organizations who determined the georeference (spatial representation) for the Location ." },
+	{ "georeferencedDate",	"georeferencedDate",	"Text",	xmpText,	xmpExternal,	"The date on which the Location was georeferenced. Recommended best practice is to use an encoding scheme, such as ISO 8601:2004(E) ." },
+	{ "georeferenceProtocol",	"georeferenceProtocol",	"Text",	xmpText,	xmpExternal,	"A description or reference to the methods used to determine the spatial footprint, coordinates, and uncertainties ." },
+	{ "georeferenceRemarks",	"georeferenceRemarks",	"Text",	xmpText,	xmpExternal,	"Notes or comments about the spatial description determination, explaining assumptions made in addition or opposition to the those formalized in the method referred to in georeferenceProtocol ." },
+	{ "georeferenceSources",	"georeferenceSources",	"Text",	xmpText,	xmpExternal,	"A list (concatenated and separated) of maps, gazetteers, or other resources used to georeference the Location, described specifically enough to allow anyone in the future to use the same resources ." },
+	{ "georeferenceVerificationStatus",	"georeferenceVerificationStatus",	"Text",	xmpText,	xmpExternal,	"A categorical description of the extent to which the georeference has been verified to represent the best possible spatial description. Recommended best practice is to use a controlled vocabulary ." },
+	{ "group",			"group",	"Text",	xmpText,	xmpExternal,	"The full name of the lithostratigraphic group from which the cataloged item was collected ." },
+	{ "habitat",			"habitat",	"Text",	xmpText,	xmpExternal,	"A category or description of the habitat in which the Event occurred ." },
+	{ "higherClassification",	"higherClassification",	"Text",	xmpText,	xmpExternal,	"A list (concatenated and separated) of taxa names terminating at the rank immediately superior to the taxon referenced in the taxon record. Recommended best practice is to order the list starting with the highest rank and separating the names for each rank with a semi-colon ;" },
+	{ "higherGeography",		"higherGeography",	"Text",	xmpText,	xmpExternal,	"A list (concatenated and separated) of geographic names less specific than the information captured in the locality term ." },
+	{ "higherGeographyID",	"higherGeographyID",	"Text",	xmpText,	xmpExternal,	"An identifier for the geographic region within which the Location occurred. Recommended best practice is to use an persistent identifier from a controlled vocabulary such as the Getty Thesaurus of Geographic Names ." },
+	{ "highestBiostratigraphicZone",	"highestBiostratigraphicZone",	"Text",	xmpText,	xmpExternal,	"The full name of the highest possible geological biostratigraphic zone of the stratigraphic horizon from which the cataloged item was collected ." },
+	{ "identificationID",	"identificationID",	"Text",	xmpText,	xmpExternal,	"An identifier for the Identification (the body of information associated with the assignment of a scientific name). May be a global unique identifier or an identifier specific to the data set ." },
+	{ "identificationQualifier",	"identificationQualifier",	"Text",	xmpText,	xmpExternal,	"A brief phrase or a standard term (\"cf.\", \"aff.\") to express the determiner's doubts about the Identification ." },
+	{ "identificationReferences",	"identificationReferences",	"Text",	xmpText,	xmpExternal,	"A list (concatenated and separated) of references (publication, global unique identifier, URI) used in the Identification ." },
+	{ "identificationRemarks",	"identificationRemarks",	"Text",	xmpText,	xmpExternal,	"Comments or notes about the Identification ." },
+	{ "identificationVerificationStatus",	"identificationVerificationStatus",	"Text",	xmpText,	xmpExternal,	"A categorical indicator of the extent to which the taxonomic identification has been verified to be correct. Recommended best practice is to use a controlled vocabulary such as that used in HISPID/ABCD ." },
+	{ "identifiedBy",		"identifiedBy",	"Text",	xmpText,	xmpExternal,	"A list (concatenated and separated) of names of people, groups, or organizations who assigned the Taxon to the subject ." },
+	{ "individualCount",		"individualCount",	"Text",	xmpText,	xmpExternal,	"The number of individuals represented present at the time of the Occurrence ." },
+	{ "individualID",		"individualID",	"Text",	xmpText,	xmpExternal,	"An identifier for an individual or named group of individual organisms represented in the Occurrence. Meant to accommodate resampling of the same individual or group for monitoring purposes. May be a global unique identifier or an identifier specific to a data set ." },
+	{ "informationWithheld",	"informationWithheld",	"Text",	xmpText,	xmpExternal,	"Additional information that exists, but that has not been shared in the given record ." },
+	{ "infraspecificEpithet",	"infraspecificEpithet",	"Text",	xmpText,	xmpExternal,	"The name of the lowest or terminal infraspecific epithet of the scientificName, excluding any rank designation ." },
+	{ "institutionCode",		"institutionCode",	"Text",	xmpText,	xmpExternal,	"The name (or acronym) in use by the institution having custody of the object(s) or information referred to in the record ." },
+	{ "institutionID",		"institutionID",	"Text",	xmpText,	xmpExternal,	"An identifier for the institution having custody of the object(s) or information referred to in the record ." },
+	{ "island",			"island",	"Text",	xmpText,	xmpExternal,	"The name of the island on or near which the Location occurs. Recommended best practice is to use a controlled vocabulary such as the Getty Thesaurus of Geographic Names ." },
+	{ "islandGroup",		"islandGroup",	"Text",	xmpText,	xmpExternal,	"The name of the island group in which the Location occurs. Recommended best practice is to use a controlled vocabulary such as the Getty Thesaurus of Geographic Names ." },
+	{ "kingdom",			"kingdom",	"Text",	xmpText,	xmpExternal,	"The full scientific name of the kingdom in which the taxon is classified ." },
+	{ "language",			"language",	"Text",	xmpText,	xmpExternal,	"A language of the resource. Recommended best practice is to use a controlled vocabulary such as RFC 4646 [RFC4646] ." },
+	{ "latestAgeOrHighestStage",	"latestAgeOrHighestStage",	"Text",	xmpText,	xmpExternal,	"The full name of the latest possible geochronologic age or highest chronostratigraphic stage attributable to the stratigraphic horizon from which the cataloged item was collected ." },
+	{ "latestEonOrHighestEonothem",	"latestEonOrHighestEonothem",	"Text",	xmpText,	xmpExternal,	"The full name of the latest possible geochronologic eon or highest chrono-stratigraphic eonothem or the informal name (\"Precambrian\") attributable to the stratigraphic horizon from which the cataloged item was collected ." },
+	{ "latestEpochOrHighestSeries",	"latestEpochOrHighestSeries",	"Text",	xmpText,	xmpExternal,	"The full name of the latest possible geochronologic epoch or highest chronostratigraphic series attributable to the stratigraphic horizon from which the cataloged item was collected ." },
+	{ "latestEraOrHighestErathem",	"latestEraOrHighestErathem",	"Text",	xmpText,	xmpExternal,	"The full name of the latest possible geochronologic era or highest chronostratigraphic erathem attributable to the stratigraphic horizon from which the cataloged item was collected ." },
+	{ "latestPeriodOrHighestSystem",	"latestPeriodOrHighestSystem",	"Text",	xmpText,	xmpExternal,	"The full name of the latest possible geochronologic period or highest chronostratigraphic system attributable to the stratigraphic horizon from which the cataloged item was collected ." },
+	{ "lifeStage",	"lifeStage",	"Text",	xmpText,	xmpExternal,	"The age class or life stage of the biological individual(s) at the time the Occurrence was recorded. Recommended best practice is to use a controlled vocabulary ." },
+	{ "lithostratigraphicTerms",	"lithostratigraphicTerms",	"Text",	xmpText,	xmpExternal,	"The combination of all litho-stratigraphic names for the rock from which the cataloged item was collected ." },
+	{ "locality",			"locality",	"Text",	xmpText,	xmpExternal,	"The specific description of the place. Less specific geographic information can be provided in other geographic terms (higherGeography, continent, country, stateProvince, county, municipality, waterBody, island, islandGroup). This term may contain information modified from the original to correct perceived errors or standardize the description ." },
+	{ "locationAccordingTo",	"locationAccordingTo",	"Text",	xmpText,	xmpExternal,	"Information about the source of this Location information. Could be a publication (gazetteer), institution, or team of individuals ." },
+	{ "locationID",		"locationID",	"Text",	xmpText,	xmpExternal,	"An identifier for the set of location information (data associated with Location). May be a global unique identifier or an identifier specific to the data set ." },
+	{ "locationRemarks",		"locationRemarks",	"Text",	xmpText,	xmpExternal,	"Comments or notes about the Location ." },
+	{ "lowestBiostratigraphicZone",	"lowestBiostratigraphicZone",	"Text",	xmpText,	xmpExternal,	"The full name of the lowest possible geological biostratigraphic zone of the stratigraphic horizon from which the cataloged item was collected ." },
+	{ "maximumDepthInMeters",	"maximumDepthInMeters",	"Text",	xmpText,	xmpExternal,	"The greater depth of a range of depth below the local surface, in meters ." },
+	{ "maximumDistanceAboveSurfaceInMeters",	"maximumDistanceAboveSurfaceInMeters",	"Text",	xmpText,	xmpExternal,	"The greater distance in a range of distance from a reference surface in the vertical direction, in meters. Use positive values for locations above the surface, negative values for locations below. If depth measures are given, the reference surface is the location given by the depth, otherwise the reference surface is the location given by the elevation ." },
+	{ "maximumElevationInMeters",	"maximumElevationInMeters",	"Text",	xmpText,	xmpExternal,	"The upper limit of the range of elevation (altitude, usually above sea level), in meters ." },
+	{ "measurementAccuracy",	"measurementAccuracy",	"Text",	xmpText,	xmpExternal,	"The description of the potential error associated with the measurementValue ." },
+	{ "measurementDeterminedBy",	"measurementDeterminedBy",	"Text",	xmpText,	xmpExternal,	"A list (concatenated and separated) of names of people, groups, or organizations who determined the value of the MeasurementOrFact ." },
+	{ "measurementDeterminedDate",	"measurementDeterminedDate",	"Date",	xmpText,	xmpInternal,	"The date on which the MeasurementOrFact was made. Recommended best practice is to use an encoding scheme, such as ISO 8601:2004(E) ." },
+	{ "measurementID",		"measurementID",	"Text",	xmpText,	xmpExternal,	"An identifier for the MeasurementOrFact (information pertaining to measurements, facts, characteristics, or assertions). May be a global unique identifier or an identifier specific to the data set ." },
+	{ "measurementMethod",	"measurementMethod",	"Text",	xmpText,	xmpExternal,	"A description of or reference to (publication, URI) the method or protocol used to determine the measurement, fact, characteristic, or assertion ." },
+	{ "measurementRemarks",	"measurementRemarks",	"Text",	xmpText,	xmpExternal,	"Comments or notes accompanying the MeasurementOrFact ." },
+	{ "measurementType",		"measurementType",	"Text",	xmpText,	xmpExternal,	"The nature of the measurement, fact, characteristic, or assertion. Recommended best practice is to use a controlled vocabulary ." },
+	{ "measurementUnit",		"measurementUnit",	"Text",	xmpText,	xmpExternal,	"The units associated with the measurementValue. Recommended best practice is to use the International System of Units (SI) ." },
+	{ "measurementValue",	"measurementValue",	"Text",	xmpText,	xmpExternal,	"The value of the measurement, fact, characteristic, or assertion ." },
+	{ "member",			"member",	"Text",	xmpText,	xmpExternal,	"The full name of the lithostratigraphic member from which the cataloged item was collected ." },
+	{ "minimumDepthInMeters",	"minimumDepthInMeters",	"Text",	xmpText,	xmpExternal,	"The lesser depth of a range of depth below the local surface, in meters ." },
+	{ "minimumDistanceAboveSurfaceInMeters",	"minimumDistanceAboveSurfaceInMeters",	"Text",	xmpText,	xmpExternal,	"The lesser distance in a range of distance from a reference surface in the vertical direction, in meters. Use positive values for locations above the surface, negative values for locations below. If depth measures are given, the reference surface is the location given by the depth, otherwise the reference surface is the location given by the elevation ." },
+	{ "minimumElevationInMeters",	"minimumElevationInMeters",	"Text",	xmpText,	xmpExternal,	"The lower limit of the range of elevation (altitude, usually above sea level), in meters ." },
+	{ "modified",			"modified",	"Text",	xmpText,	xmpExternal,	"The most recent date-time on which the resource was changed. For Darwin Core, recommended best practice is to use an encoding scheme, such as ISO 8601:2004(E) ." },
+	{ "month",			"month",	"Integer",	unsignedLong,	xmpInternal,	"The ordinal month in which the Event occurred ." },
+	{ "municipality",		"municipality",	"Text",	xmpText,	xmpExternal,	"The full, unabbreviated name of the next smaller administrative region than county (city, municipality, etc.) in which the Location occurs. Do not use this term for a nearby named place that does not contain the actual location ." },
+	{ "nameAccordingTo",		"nameAccordingTo",	"Text",	xmpText,	xmpExternal,	"The reference to the source in which the specific taxon concept circumscription is defined or implied - traditionally signified by the Latin \"sensu\" or \"sec.\" (from secundum, meaning \"according to\"). For taxa that result from identifications, a reference to the keys, monographs, experts and other sources should be given ." },
+	{ "nameAccordingToID",	"nameAccordingToID",	"Text",	xmpText,	xmpExternal,	"An identifier for the source in which the specific taxon concept circumscription is defined or implied. See nameAccordingTo ." },
+	{ "namePublishedIn",		"namePublishedIn",	"Text",	xmpText,	xmpExternal,	"A reference for the publication in which the scientificName was originally established under the rules of the associated nomenclaturalCode ." },
+	{ "namePublishedInID",	"namePublishedInID",	"Text",	xmpText,	xmpExternal,	"An identifier for the publication in which the scientificName was originally established under the rules of the associated nomenclaturalCode ." },
+	{ "namePublishedInYear",	"namePublishedInYear",	"Text",	xmpText,	xmpExternal,	"The four-digit year in which the scientificName was published ." },
+	{ "nomenclaturalCode",	"nomenclaturalCode",	"Text",	xmpText,	xmpExternal,	"The nomenclatural code (or codes in the case of an ambiregnal name) under which the scientificName is constructed. Recommended best practice is to use a controlled vocabulary ." },
+	{ "nomenclaturalStatus",	"nomenclaturalStatus",	"Text",	xmpText,	xmpExternal,	"The status related to the original publication of the name and its conformance to the relevant rules of nomenclature. It is based essentially on an algorithm according to the business rules of the code. It requires no taxonomic opinion ." },
+	{ "occurrenceID",		"occurrenceID",	"Text",	xmpText,	xmpExternal,	"An identifier for the Occurrence (as opposed to a particular digital record of the occurrence). In the absence of a persistent global unique identifier, construct one from a combination of identifiers in the record that will most closely make the occurrenceID globally unique ." },
+	{ "occurrenceRemarks",	"occurrenceRemarks",	"Text",	xmpText,	xmpExternal,	"Comments or notes about the Occurrence ." },
+	{ "occurrenceStatus",	"occurrenceStatus",	"Text",	xmpText,	xmpExternal,	"A statement about the presence or absence of a Taxon at a Location. Recommended best practice is to use a controlled vocabulary ." },
+	{ "order",			"order",	"Text",	xmpText,	xmpExternal,	"The full scientific name of the order in which the taxon is classified ." },
+	{ "originalNameUsage",	"originalNameUsage",	"Text",	xmpText,	xmpExternal,	"The taxon name, with authorship and date information if known, as it originally appeared when first established under the rules of the associated nomenclaturalCode. The basionym (botany) or basonym (bacteriology) of the scientificName or the senior/earlier homonym for replaced names ." },
+	{ "originalNameUsageID",	"originalNameUsageID",	"Text",	xmpText,	xmpExternal,	"An identifier for the name usage (documented meaning of the name according to a source) in which the terminal element of the scientificName was originally established under the rules of the associated nomenclaturalCode ." },
+	{ "otherCatalogNumbers",	"otherCatalogNumbers",	"Text",	xmpText,	xmpExternal,	"A list (concatenated and separated) of previous or alternate fully qualified catalog numbers or other human-used identifiers for the same Occurrence, whether in the current or any other data set or collection ." },
+	{ "ownerInstitutionCode",	"ownerInstitutionCode",	"Text",	xmpText,	xmpExternal,	"The name (or acronym) in use by the institution having ownership of the object(s) or information referred to in the record ." },
+	{ "parentNameUsage",		"parentNameUsage",	"Text",	xmpText,	xmpExternal,	"The full name, with authorship and date information if known, of the direct, most proximate higher-rank parent taxon (in a classification) of the most specific element of the scientificName ." },
+	{ "parentNameUsageID",	"parentNameUsageID",	"Text",	xmpText,	xmpExternal,	"An identifier for the name usage (documented meaning of the name according to a source) of the direct, most proximate higher-rank parent taxon (in a classification) of the most specific element of the scientificName ." },
+	{ "phylum",			"phylum",	"Text",	xmpText,	xmpExternal,	"The full scientific name of the phylum or division in which the taxon is classified ." },
+	{ "pointRadiusSpatialFit",	"pointRadiusSpatialFit",	"Text",	xmpText,	xmpExternal,	"The ratio of the area of the point-radius (decimalLatitude, decimalLongitude, coordinateUncertaintyInMeters) to the area of the true (original, or most specific) spatial representation of the Location. Legal values are 0, greater than or equal to 1, or undefined. A value of 1 is an exact match or 100% overlap. A value of 0 should be used if the given point-radius does not completely contain the original representation. The pointRadiusSpatialFit is undefined (and should be left blank) if the original representation is a point without uncertainty and the given georeference is not that same point (without uncertainty). If both the original and the given georeference are the same point, the pointRadiusSpatialFit is 1 ." },
+	{ "preparations",		"preparations",	"Text",	xmpText,	xmpExternal,	"A list (concatenated and separated) of preparations and preservation methods for a specimen ." },
+	{ "previousIdentifications",	"previousIdentifications",	"Text",	xmpText,	xmpExternal,	"A list (concatenated and separated) of previous assignments of names to the Occurrence ." },
+	{ "recordedBy",		"recordedBy",	"Text",	xmpText,	xmpExternal,	"A list (concatenated and separated) of names of people, groups, or organizations responsible for recording the original Occurrence. The primary collector or observer, especially one who applies a personal identifier (recordNumber), should be listed first ." },
+	{ "recordNumber",		"recordNumber",	"Text",	xmpText,	xmpExternal,	"An identifier given to the Occurrence at the time it was recorded. Often serves as a link between field notes and an Occurrence record, such as a specimen collector's number ." },
+	{ "references",		"references",	"Text",	xmpText,	xmpExternal,	"A related resource that is referenced, cited, or otherwise pointed to by the described resource ." },
+	{ "relatedResourceID",	"relatedResourceID",	"Text",	xmpText,	xmpExternal,	"An identifier for a related resource (the object, rather than the subject of the relationship) ." },
+	{ "relationshipAccordingTo",	"relationshipAccordingTo",	"Text",	xmpText,	xmpExternal,	"The source (person, organization, publication, reference) establishing the relationship between the two resources ." },
+	{ "relationshipEstablishedDate",	"relationshipEstablishedDate",	"Date",	xmpText,	xmpInternal,	"The date-time on which the relationship between the two resources was established. Recommended best practice is to use an encoding scheme, such as ISO 8601:2004(E) ." },
+	{ "relationshipOfResource",	"relationshipOfResource",	"Text",	xmpText,	xmpExternal,	"The relationship of the resource identified by relatedResourceID to the subject (optionally identified by the resourceID). Recommended best practice is to use a controlled vocabulary ." },
+	{ "relationshipRemarks",	"relationshipRemarks",	"Text",	xmpText,	xmpExternal,	"Comments or notes about the relationship between the two resources ." },
+	{ "reproductiveCondition",	"reproductiveCondition",	"Text",	xmpText,	xmpExternal,	"The reproductive condition of the biological individual(s) represented in the Occurrence. Recommended best practice is to use a controlled vocabulary ." },
+	{ "resourceID",		"resourceID",	"Text",	xmpText,	xmpExternal,	"An identifier for the resource that is the subject of the relationship ." },
+	{ "resourceRelationshipID",	"resourceRelationshipID",	"Text",	xmpText,	xmpExternal,	"An identifier for an instance of relationship between one resource (the subject) and another (relatedResource, the object) ." },
+	{ "rights",			"rights",	"Text",	xmpText,	xmpExternal,	"Information about rights held in and over the resource. Typically, rights information includes a statement about various property rights associated with the resource, including intellectual property rights ." },
+	{ "rightsHolder",		"rightsHolder",	"Text",	xmpText,	xmpExternal,	"A person or organization owning or managing rights over the resource ." },
+	{ "samplingEffort",		"samplingEffort",	"Text",	xmpText,	xmpExternal,	"The amount of effort expended during an Event ." },
+	{ "samplingProtocol",	"samplingProtocol",	"Text",	xmpText,	xmpExternal,	"The name of, reference to, or description of the method or protocol used during an Event ." },
+	{ "scientificName",		"scientificName",	"Text",	xmpText,	xmpExternal,	"The full scientific name, with authorship and date information if known. When forming part of an Identification, this should be the name in lowest level taxonomic rank that can be determined. This term should not contain identification qualifications, which should instead be supplied in the IdentificationQualifier term ." },
+	{ "scientificNameAuthorship",	"scientificNameAuthorship",	"Text",	xmpText,	xmpExternal,	"The authorship information for the scientificName formatted according to the conventions of the applicable nomenclaturalCode ." },
+	{ "scientificNameID",	"scientificNameID",	"Text",	xmpText,	xmpExternal,	"An identifier for the nomenclatural (not taxonomic) details of a scientific name ." },
+	{ "sex",				"sex",	"Text",	xmpText,	xmpExternal,	"The sex of the biological individual(s) represented in the Occurrence. Recommended best practice is to use a controlled vocabulary ." },
+	{ "specificEpithet",		"specificEpithet",	"Text",	xmpText,	xmpExternal,	"The name of the first or species epithet of the scientificName ." },
+	{ "startDayOfYear",		"startDayOfYear",	"Integer",	unsignedLong,	xmpInternal,	"The earliest ordinal day of the year on which the Event occurred (1 for January 1, 365 for December 31, except in a leap year, in which case it is 366) ." },
+	{ "stateProvince",		"stateProvince",	"Text",	xmpText,	xmpExternal,	"The name of the next smaller administrative region than country (state, province, canton, department, region, etc.) in which the Location occurs ." },
+	{ "subgenus",			"subgenus",	"Text",	xmpText,	xmpExternal,	"The full scientific name of the subgenus in which the taxon is classified. Values should include the genus to avoid homonym confusion ." },
+	{ "taxonConceptID",		"taxonConceptID",	"Text",	xmpText,	xmpExternal,	"An identifier for the taxonomic concept to which the record refers - not for the nomenclatural details of a taxon ." },
+	{ "taxonID",			"taxonID",	"Text",	xmpText,	xmpExternal,	"An identifier for the set of taxon information (data associated with the Taxon class). May be a global unique identifier or an identifier specific to the data set ." },
+	{ "taxonomicStatus",		"taxonomicStatus",	"Text",	xmpText,	xmpExternal,	"The status of the use of the scientificName as a label for a taxon. Requires taxonomic opinion to define the scope of a taxon. Rules of priority then are used to define the taxonomic status of the nomenclature contained in that scope, combined with the experts opinion. It must be linked to a specific taxonomic reference that defines the concept. Recommended best practice is to use a controlled vocabulary ." },
+	{ "taxonRank",			"taxonRank",	"Text",	xmpText,	xmpExternal,	"The taxonomic rank of the most specific name in the scientificName. Recommended best practice is to use a controlled vocabulary ." },
+	{ "taxonRemarks",		"taxonRemarks",	"Text",	xmpText,	xmpExternal,	"Comments or notes about the taxon or name ." },
+	{ "type",			"type",	"Text",	xmpText,	xmpExternal,	"The nature or genre of the resource. For Darwin Core, recommended best practice is to use the name of the class that defines the root of the record ." },
+	{ "typeStatus",		"typeStatus",	"Text",	xmpText,	xmpExternal,	"A list (concatenated and separated) of nomenclatural types (type status, typified scientific name, publication) applied to the subject ." },
+	{ "verbatimCoordinates",	"verbatimCoordinates",	"Text",	xmpText,	xmpExternal,	"The verbatim original spatial coordinates of the Location. The coordinate ellipsoid, geodeticDatum, or full Spatial Reference System (SRS) for these coordinates should be stored in verbatimSRS and the coordinate system should be stored in verbatimCoordinateSystem ." },
+	{ "verbatimCoordinateSystem",	"verbatimCoordinateSystem",	"Text",	xmpText,	xmpExternal,	"The spatial coordinate system for the verbatimLatitude and verbatimLongitude or the verbatimCoordinates of the Location. Recommended best practice is to use a controlled vocabulary ." },
+	{ "verbatimDepth",		"verbatimDepth",	"Text",	xmpText,	xmpExternal,	"The original description of the depth below the local surface ." },
+	{ "verbatimElevation",	"verbatimElevation",	"Text",	xmpText,	xmpExternal,	"The original description of the elevation (altitude, usually above sea level) of the Location ." },
+	{ "verbatimEventDate",	"verbatimEventDate",	"Text",	xmpText,	xmpExternal,	"The verbatim original representation of the date and time information for an Event ." },
+	{ "verbatimLatitude",	"verbatimLatitude",	"Text",	xmpText,	xmpExternal,	"The verbatim original latitude of the Location. The coordinate ellipsoid, geodeticDatum, or full Spatial Reference System (SRS) for these coordinates should be stored in verbatimSRS and the coordinate system should be stored in verbatimCoordinateSystem ." },
+	{ "verbatimLocality",	"verbatimLocality",	"Text",	xmpText,	xmpExternal,	"The original textual description of the place ." },
+	{ "verbatimLongitude",	"verbatimLongitude",	"Text",	xmpText,	xmpExternal,	"The verbatim original longitude of the Location. The coordinate ellipsoid, geodeticDatum, or full Spatial Reference System (SRS) for these coordinates should be stored in verbatimSRS and the coordinate system should be stored in verbatimCoordinateSystem ." },
+	{ "verbatimSRS",		"verbatimSRS",	"Text",	xmpText,	xmpExternal,	"The ellipsoid, geodetic datum, or spatial reference system (SRS) upon which coordinates given in verbatimLatitude and verbatimLongitude, or verbatimCoordinates are based. Recommended best practice is use the EPSG code as a controlled vocabulary to provide an SRS, if known. Otherwise use a controlled vocabulary for the name or code of the geodetic datum, if known. Otherwise use a controlled vocabulary for the name or code of the ellipsoid, if known. If none of these is known, use the value \"unknown\" ." },
+	{ "verbatimTaxonRank",	"verbatimTaxonRank",	"Text",	xmpText,	xmpExternal,	"The taxonomic rank of the most specific name in the scientificName as it appears in the original record ." },
+	{ "vernacularName",		"vernacularName",	"Text",	xmpText,	xmpExternal,	"A common or vernacular name ." },
+	{ "waterBody",			"waterBody",	"Text",	xmpText,	xmpExternal,	"The name of the water body in which the Location occurs. Recommended best practice is to use a controlled vocabulary such as the Getty Thesaurus of Geographic Names ." },
+	{ "year",			"year",	"Integer",	unsignedLong,	xmpInternal,	"The four-digit year in which the Event occurred, according to the Common Era Calendar." },
+      // End of list marker
+        { 0, 0, 0, invalidTypeId, xmpInternal, 0 }
+    };
+
     extern const XmpNsInfo xmpNsInfo[] = {
         // Schemas   -   NOTE: Schemas which the XMP-SDK doesn't know must be registered in XmpParser::initialize - Todo: Automate this
         { "http://purl.org/dc/elements/1.1/",             "dc",             xmpDcInfo,        N_("Dublin Core schema")                        },
@@ -130,6 +311,7 @@
         { "http://www.metadataworkinggroup.com/schemas/regions/", "mwg-rs", xmpMWGRegionsInfo,N_("Metadata Working Group Regions schema")     },
         { "http://www.video",                                  "video",          xmpVideoInfo,     N_("XMP Extended Video schema")                 },
         { "http://www.audio",                                  "audio",          xmpAudioInfo,     N_("XMP Extended Audio schema")                 },
+        { "http://rs.tdwg.org/dwc/terms/",                 "dwc",          xmpDwCInfo,       "XMP Darwin Core schema" },
 
 
         // Structures
